Subject: MIPS HOWTO

From: Ralf Baechle <[email-masked]>
Date: Mon, 6 Nov 2000 20:44:26 +0100

November 15 is the deadline for a new edition of ``Linux, the Complete
Reference'' which the MIPS Howto will be part of.  So please everybody
take a look at the documente at http://oss.sgi.com/mips/mips-howto.html
and send me updates, preferably as unified diffs for the SGML source
code.

  Ralf

---

From: Dominic Sweetman <[email-masked]>
Date: Tue, 14 Nov 2000 15:44:13 GMT

> and send me updates, preferably as unified diffs for the SGML source

Here's one patch to your SGML for Algorithmics' boards:

*** mips-howto.sgml~    Tue Nov  7 09:45:30 2000
--- mips-howto.sgml     Tue Nov 14 15:28:11 2000
***************
*** 296,308 ****
    This machine is a OEM variant of the SGI Indigo and therefore also still
    unsupported.
  
!   <sect2>Algorithmics P4032<p>
!   The Algorithmics P4032 port is at the time of this writing still running
!   Linux 2.1.36.
  
!   <sect2>Algorithmics P5064<p>
!   The P5064 is basically an R5000-based 64bit variant of the P4032.  A port is
!   ongoing.
  
    <sect2>DECstation series<p>
    During the late 80's and the early 90's Digital (now Compaq) built MIPS based 
--- 296,337 ----
    This machine is a OEM variant of the SGI Indigo and therefore also still
    unsupported.
  
!   <sect2>Algorithmics P-4032, P-5064, P-6032<p>
!   Algorithmics (<url url="http://www.algor.co.uk/">) make a series of
!   single-board computers for MIPS prototyping, and maintain Linux kernels
!   for all of them:
!   <itemize>
!     <item>P-6032 is a new board for CPUs with 32-bit buses (QED
!   RM5231, NEC Vr43x0, NEC Vr5432, IDT 64x74)
!     <item>P-4032 is an older board obsoleted by P-6032.
!     <item>P-5064 is for CPUs with 64-bit buses, notably QED's RM70xx
!   and RM52xx series.
!   </itemize>
  
!   All the boards have common I/O plus ethernet and disk interfaces
!   onboard, with spare PCI slots for adding different controllers.
!   They're highly configurable, so will run with either byte order.
!   All are suitable targets for 64-bit kernels, but (so far) all the
!   Linux work we've done has been using 32-bit code.
! 
!   They're available, supported and documented with PDF manuals
!   available online, like 
!   <url url="http://www.algor.co.uk/ftp/pub/doc/p6032-user.pdf">
!   for the P-6032.
! 
!   At the time of writing (November 2000) we are using a 2.2.x
!   kernel, and we're sharing kernel code with the ports being done by
!   people from MIPS Technologies Inc (<url url="http://www.mips.com">).
!   Algorithmics wrote the floating point trap handler and emulator used
!   in this kernel - essential for MIPS CPUs to run floating point
!   operations reliably and correctly.
! 
!   Algorithmics' kernels and a link to the MIPS userland can be found
!   from a jump page at
!   <url url="http://www.algor.co.uk/algor/info/linux.html">
!   
!   You can contact us at <htmlurl url="mailto:[email-masked]"
!   name="Algorithmics">.
  
    <sect2>DECstation series<p>
    During the late 80's and the early 90's Digital (now Compaq) built MIPS based 

-- 
Dominic Sweetman
Algorithmics Ltd
The Fruit Farm, Ely Road, Chittering, CAMBS CB5 9PH, ENGLAND
phone: +44 1223 706200 / fax: +44 1223 706250 / home: +44 20 7226 0032
http://www.algor.co.uk

---

From: Karsten Merker <[email-masked]>
Date: Tue, 14 Nov 2000 19:54:08 +0100

> and send me updates, preferably as unified diffs for the SGML source

Sorry, not as patch to the SGML code, but nonetheless:

[4.1 Redhat]

> Also, there's a distribution based on Red Hat 5.2 that's targeting the
> Cobalt Qubes. Those binaries will work perfectly on other MIPSel
> architectures available at ftp://intel.cleveland.lug.net/pub/Mipsel.
               ^
and are available

> ftp://bolug.uni-bonn.de/mips has various rpm packages from Redhat 6.0,
> and 6.1.

from Redhat 6.0, 6.1 and 6.2.

Greetings,
Karsten
-- 
#include <standard_disclaimer>
Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
Meinungsforschung.

---

From: "Kevin D. Kissell" <[email-masked]>
Date: Tue, 14 Nov 2000 22:38:14 +0100

> > architectures available at ftp://intel.cleveland.lug.net/pub/Mipsel.

Not in SGML either, but so long as we're talking about the mipsel 
binaries, it may be worth noting that I put together a compilation of 
the RedHat 5.2 mipsel distribution that includes the all the packages 
on the cleveland.lug site, plus quite a few others from elsewhere that 
are either newer than, or missing from, the cleveland.lug distribution. 
This can be found via HTML at http://www.paralogos.com/mipslinux 
or directly by FTP at
ftp://ftp.paralogos.com/pub/linux/mips/RPMS/mipsel/ 

            Regards,

            Kevin K.